Skip to main content
GET
/
datasets
/
{dataset_id}
/
documents
/
{document_id}
/
segments
/
{segment_id}
/
child_chunks
Error
A valid request URL is required to generate request examples
{
  "data": [
    {
      "id": "d7e8f9a0-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
      "segment_id": "f3d1c7be-9f3a-40d8-8eb8-3a1ef9c3f2c1",
      "content": "Dify is an open-source platform.",
      "position": 1,
      "word_count": 6,
      "type": "automatic",
      "created_at": 1741267200,
      "updated_at": 1741267200
    }
  ],
  "total": 1,
  "total_pages": 1,
  "page": 1,
  "limit": 20
}

Documentation Index

Fetch the complete documentation index at: https://docs.dify.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences.

Path Parameters

dataset_id
string<uuid>
required

Knowledge base ID.

document_id
string<uuid>
required

Document ID.

segment_id
string<uuid>
required

Chunk ID.

Query Parameters

page
integer
default:1

Page number to retrieve.

Required range: x >= 1
limit
integer
default:20

Number of items per page. Server caps at 100.

Required range: x >= 1
keyword
string

Search keyword.

Response

200 - application/json

List of child chunks.

data
object[]

List of child chunks.

total
integer

Total number of child chunks.

total_pages
integer

Total number of pages.

page
integer

Current page number.

limit
integer

Number of items per page.